--
-- Copyright (C) 2015 Kosmos <contact@kosmos.fr>
--
-- Projet: blog
-- Version: 1.04.03
--
-- Licensed under the Apache License, Version 2.0 (the "License");
-- you may not use this file except in compliance with the License.
-- You may obtain a copy of the License at
--
--         http://www.apache.org/licenses/LICENSE-2.0
--
-- Unless required by applicable law or agreed to in writing, software
-- distributed under the License is distributed on an "AS IS" BASIS,
-- WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-- See the License for the specific language governing permissions and
-- limitations under the License.
--

CREATE TABLE ARTICLEBLOG (
  ID_ARTICLEBLOG                    BIGINT NOT NULL AUTO_INCREMENT,
  TITRE                             VARCHAR(255)    DEFAULT '',
  CHAPEAU                           TEXT,
  CONTENU                           TEXT,
  KEYWORDS                          TEXT,
  CODE                              VARCHAR(64)     DEFAULT '',
  CODE_RUBRIQUE                     VARCHAR(255)    DEFAULT '',
  CODE_RATTACHEMENT                 VARCHAR(64)     DEFAULT '',
  META_KEYWORDS                     TEXT,
  META_DESCRIPTION                  TEXT,
  TITRE_ENCADRE                     VARCHAR(32)     DEFAULT '',
  CONTENU_ENCADRE                   TEXT,
  ENCADRE_RECHERCHE                 VARCHAR(4)      DEFAULT '',
  ENCADRE_RECHERCHE_BIS             VARCHAR(4)      DEFAULT '',
  DATE_ALERTE                       DATE            DEFAULT NULL,
  MESSAGE_ALERTE                    TEXT,
  DATE_CREATION                     DATETIME        DEFAULT NULL,
  DATE_PROPOSITION                  DATETIME        DEFAULT NULL,
  DATE_VALIDATION                   DATETIME        DEFAULT NULL,
  DATE_MODIFICATION                 DATETIME        DEFAULT NULL,
  CODE_REDACTEUR                    VARCHAR(64)     DEFAULT '',
  CODE_VALIDATION                   VARCHAR(64)     DEFAULT '',
  LANGUE                            VARCHAR(4)      DEFAULT '',
  ETAT_OBJET                        VARCHAR(4)      DEFAULT '',
  NB_HITS                           BIGINT,
  DIFFUSION_PUBLIC_VISE             TEXT,
  DIFFUSION_MODE_RESTRICTION        CHAR(1)         DEFAULT '',
  DIFFUSION_PUBLIC_VISE_RESTRICTION TEXT,
  PRIMARY KEY (ID_ARTICLEBLOG),
  KEY IDX_CODE (CODE),
  KEY IDX_CODE_RUBRIQUE (CODE_RUBRIQUE),
  KEY IDX_CODE_RATTACHEMENT (CODE_RATTACHEMENT),
  KEY IDX_CODE_REDACTEUR (CODE_REDACTEUR),
  KEY IDX_ETAT_OBJET (ETAT_OBJET),
  KEY IDX_DIFFUSION_PUBLIC_VISE (DIFFUSION_PUBLIC_VISE(100)),
  KEY IDX_DIFFUSION_MODE_RESTRICTION (DIFFUSION_MODE_RESTRICTION),
  KEY IDX_DIFFUSION_PUBLIC_VISE_RESTRICTION (DIFFUSION_PUBLIC_VISE_RESTRICTION(100))
)
  ENGINE = MyISAM
  CHARACTER SET utf8
  COLLATE utf8_general_ci;

CREATE TABLE BLOG (
  ID_BLOG                           BIGINT NOT NULL AUTO_INCREMENT,
  TITRE                             VARCHAR(255)    DEFAULT '',
  DESCRIPTION                       TEXT,
  THEMATIQUE                        TEXT,
  ARCHIVAGE                         CHAR(1)         DEFAULT '',
  CODE                              VARCHAR(64)     DEFAULT '',
  CODE_RUBRIQUE                     VARCHAR(255)    DEFAULT '',
  CODE_RATTACHEMENT                 VARCHAR(64)     DEFAULT '',
  META_KEYWORDS                     TEXT,
  META_DESCRIPTION                  TEXT,
  TITRE_ENCADRE                     VARCHAR(32)     DEFAULT '',
  CONTENU_ENCADRE                   TEXT,
  ENCADRE_RECHERCHE                 VARCHAR(4)      DEFAULT '',
  ENCADRE_RECHERCHE_BIS             VARCHAR(4)      DEFAULT '',
  DATE_ALERTE                       DATE            DEFAULT NULL,
  MESSAGE_ALERTE                    TEXT,
  DATE_CREATION                     DATETIME        DEFAULT NULL,
  DATE_PROPOSITION                  DATETIME        DEFAULT NULL,
  DATE_VALIDATION                   DATETIME        DEFAULT NULL,
  DATE_MODIFICATION                 DATETIME        DEFAULT NULL,
  CODE_REDACTEUR                    VARCHAR(64)     DEFAULT '',
  CODE_VALIDATION                   VARCHAR(64)     DEFAULT '',
  LANGUE                            VARCHAR(4)      DEFAULT '',
  ETAT_OBJET                        VARCHAR(4)      DEFAULT '',
  NB_HITS                           BIGINT,
  DIFFUSION_PUBLIC_VISE             TEXT,
  DIFFUSION_MODE_RESTRICTION        CHAR(1)         DEFAULT '',
  DIFFUSION_PUBLIC_VISE_RESTRICTION TEXT,
  PRIMARY KEY (ID_BLOG),
  KEY IDX_CODE (CODE),
  KEY IDX_CODE_RUBRIQUE (CODE_RUBRIQUE),
  KEY IDX_CODE_RATTACHEMENT (CODE_RATTACHEMENT),
  KEY IDX_CODE_REDACTEUR (CODE_REDACTEUR),
  KEY IDX_ETAT_OBJET (ETAT_OBJET),
  KEY IDX_DIFFUSION_PUBLIC_VISE (DIFFUSION_PUBLIC_VISE(100)),
  KEY IDX_DIFFUSION_MODE_RESTRICTION (DIFFUSION_MODE_RESTRICTION),
  KEY IDX_DIFFUSION_PUBLIC_VISE_RESTRICTION (DIFFUSION_PUBLIC_VISE_RESTRICTION(100))
)
  ENGINE = MyISAM
  CHARACTER SET utf8
  COLLATE utf8_general_ci;


