<%--

    Copyright (C) 2015 Kosmos <contact@kosmos.fr>

    Projet: blog
    Version: 1.04.03

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

            http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.

--%>
<%@page import="java.text.SimpleDateFormat"%>
<%@page import="java.util.List"%>
<%@page import="java.util.Scanner"%>
<%@page import="org.apache.commons.collections.CollectionUtils"%>
<%@page import="org.apache.commons.lang3.StringUtils"%>
<%@page import="com.kosmos.blog.om.Articleblog"%>
<%@page import="com.kosmos.blog.om.Blog, com.kosmos.blog.util.BlogUtil, com.kportal.cms.objetspartages.Objetpartage, com.univ.objetspartages.om.ReferentielObjets, com.univ.utils.ContexteUniv, com.univ.utils.ContexteUtil, com.univ.utils.URLResolver, com.univ.utils.UnivWebFmt" errorPage="/jsp/jsb_exception.jsp" %>
<%
/********************************************
*        Initialisation de la fiche		    *
*********************************************/
ContexteUniv ctx = ContexteUtil.getContexteUniv();
Blog blog = (Blog) ctx.getFicheCourante();
Objetpartage module = ReferentielObjets.getObjetByNom(ReferentielObjets.getNomObjet(blog));
String filterYear = StringUtils.defaultString(request.getParameter("FILTER_YEAR"));
String filterMonth = StringUtils.defaultString(request.getParameter("FILTER_MONTH"));
String filterKeyword = StringUtils.defaultString(request.getParameter("FILTER_KEYWORD"));
String valeurFrom = StringUtils.defaultString(request.getParameter("FROM"));
List<Articleblog> articlesDuBlog = BlogUtil.getArticlesBlogs(blog, filterKeyword, filterMonth, filterYear);
int nbResultats = articlesDuBlog.size();
int debutFenetre = BlogUtil.getDebutPageCourante(valeurFrom,nbResultats);
int nbResultatsParPage = BlogUtil.getNombreResultatParPage();
int finFenetre = BlogUtil.getFinPageCourante(valeurFrom, nbResultats);
int nbTotalPages = BlogUtil.getNombreTotalPage(nbResultats);
int noPageCourante = (debutFenetre / nbResultatsParPage) + 1;
List<Articleblog> articlesAAfficher = BlogUtil.getArticlesBlogsAParcourir(articlesDuBlog, valeurFrom);
if (CollectionUtils.isNotEmpty(articlesAAfficher)) {
	%><div id="extension-blog__billet-liste" class="extension-blog__billet-liste"><%
	SimpleDateFormat formatJourMoisAnnees = new SimpleDateFormat("dd MMMM yyyy", ctx.getLocale());
	for (Articleblog articleArchive : articlesAAfficher) {
		%><div class="extension-blog__billet-liste-item">
			<h2 class="extension-blog__billet-titre"><a href="<%=URLResolver.getAbsoluteUrl(UnivWebFmt.determinerUrlFiche(ctx, articleArchive), ctx)%>"><%=articleArchive.getTitre()%></a></h2>
			<% 
			if (
				(articleArchive.getMeta().getMetaDateModification() != null) ||
				(articleArchive.getNombreReponses() > 0) ||
				(StringUtils.isNotBlank(articleArchive.getKeywords()))
				) { %>
				<p class="extension-blog__billet-metadonnees">
			<% }
			
		if (articleArchive.getMeta().getMetaDateModification() != null) {
			%><span class="extension-blog__billet-date"><span class="icon icon-calendar" title="Date de création"></span><strong>Date de création&nbsp;:</strong> <%= formatJourMoisAnnees.format(articleArchive.getMeta().getMetaDateModification()) %></span> <%
		}
		if (articleArchive.getNombreReponses() > 0) {
			%><span class="extension-blog_billet-commentaire"><span class="icon icon-bubble" title="Commentaire(s)"></span><strong>Commentaire(s)&nbsp;:</strong> <%=articleArchive.getNombreReponses() %></span> <%
		}
		if (StringUtils.isNotBlank(articleArchive.getKeywords())) {
			String blogUrl = URLResolver.getAbsoluteUrl(UnivWebFmt.determinerUrlFiche(ctx, blog), ctx);
			%><span class="extension-blog__billet-tag"><span class="icon icon-tag" aria-hidden="true"></span><strong>Tags&nbsp;:</strong><%
			Scanner scanner = new Scanner(articleArchive.getKeywords()).useDelimiter("\\s*,\\s");
			while (scanner.hasNext()) {
				String word = scanner.next();
				boolean isFilterWord = false;
				if (StringUtils.isNotBlank(filterKeyword)) {
					isFilterWord = filterKeyword.equals(word);
				}
				if (isFilterWord) {
					%><strong><%
				}
				%><a href="<%= blogUrl + "&amp;FILTER_KEYWORD=" + word%>"><%=word%></a> <%
				if (isFilterWord) {
					%></strong><%
				}
			}
			%></span><%
		}
			
		if (
			(articleArchive.getMeta().getMetaDateModification() != null) ||
			(articleArchive.getNombreReponses() > 0) ||
			(StringUtils.isNotBlank(articleArchive.getKeywords()))
			) { %>
			</p>
		<% }
		
		if (articleArchive.getChapeau().length() > 0) {
			%><p  class="extension-blog__billet-resume"><%= UnivWebFmt.formaterEnHTML(ctx, articleArchive.getChapeau()) %></p><%
		}
		%></div><!-- .extension-blog__billet-liste-item --><%
	}
	%></div><!-- .extension-blog__billet-liste --><%
}
if (nbResultats > 0) { %>
<div class="extension-blog__pagination"><%
	if (debutFenetre > 0 || nbResultats > nbResultatsParPage) {
		%><div class="extension-blog__pagination-bornes"><%
		if (debutFenetre > 0) { %>					
			<a class="extension-blog__pagination-premier" title="<%=BlogUtil.getMessage("ST_RESULTATS_PREMIERE_PAGE")%>" href="<%= BlogUtil.getUrlPageBlog(blog, 0, filterKeyword, filterMonth, filterYear) %>"><span class="icon icon-backward"></span></a>
			<a class="extension-blog__pagination-precedent" title="<%=BlogUtil.getMessage("ST_RESULTATS_PAGE_PRECEDENTE")%>" href="<%=BlogUtil.getUrlPageBlog(blog, debutFenetre - nbResultatsParPage, filterKeyword, filterMonth, filterYear) %>"><span class="icon icon-previous "></span></a><%
		} else {
			%><span class="extension-blog__pagination-premier" title="<%=BlogUtil.getMessage("ST_RESULTATS_PREMIERE_PAGE")%>"><span class="icon icon-first"></span></span>
			<span class="extension-blog__pagination-precedent" title="<%=BlogUtil.getMessage("ST_RESULTATS_PAGE_PRECEDENTE")%>"><span class="icon icon-previous"></span></span><%
		}
		%><ul class="extension-blog__pagination-numeros"><%
			/* on affiche les 2 pages précédentes */
			for (int cptPages = noPageCourante > 2 ? noPageCourante - 2 : 1; cptPages < noPageCourante; cptPages++) { %>
				<li class="extension-blog__pagination-numeropage"><a href="<%= BlogUtil.getUrlPageBlog(blog, ((cptPages - 1) * nbResultatsParPage), filterKeyword, filterMonth, filterYear) %>"><%= cptPages %></a></li><%
			}
			%><li class="extension-blog__pagination-pagecourante"><span><%= noPageCourante %></span></li><%
			/* on affiche les 2 pages suivantes */
			for (int cptPages = noPageCourante + 1; cptPages < noPageCourante + 3 && cptPages <= nbTotalPages; cptPages++) { 
				%><li class="extension-blog__pagination-numeropage"><a href="<%= BlogUtil.getUrlPageBlog(blog, (cptPages - 1) * nbResultatsParPage, filterKeyword, filterMonth, filterYear) %>"><%= cptPages %></a></li><%
			}
		%></ul><%
		if (nbResultats > finFenetre) { %> 
			<a class="extension-blog__pagination-suivant" title="<%=BlogUtil.getMessage("ST_RESULTATS_PAGE_SUIVANTE")%>" href="<%= BlogUtil.getUrlPageBlog(blog, finFenetre, filterKeyword, filterMonth, filterYear) %>"><span class=""><span class="icon icon-next"></span></span></a>
			<a class="extension-blog__pagination-dernier" title="<%=BlogUtil.getMessage("ST_RESULTATS_DERNIERE_PAGE")%>" href="<%= BlogUtil.getUrlPageBlog(blog, (nbTotalPages * nbResultatsParPage) - nbResultatsParPage, filterKeyword, filterMonth, filterYear) %>"><span class=""><span class="icon icon-last"></span></span></a>
		<% } else { 
			%><span class="extension-blog__pagination-suivant" title="<%=BlogUtil.getMessage("ST_RESULTATS_PAGE_SUIVANTE")%>"><span class="icon icon-next"></span></span>
			<span class="extension-blog__pagination-dernier" title="<%=BlogUtil.getMessage("ST_RESULTATS_DERNIERE_PAGE")%>"><span class="icon icon-last"></span></span><%
		}
		%>
		<div class="clearfix"></div>
		</div><!-- .extension-blog .extension-blog__pagination-bornes --><%
	} %>	
</div><!-- extension-blog__pagination -->
<% } %>